﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_MFTTECHNICSE1') 
 CREATE TABLE T_OM_MFTTECHNICSE1 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROCESSSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROCESSPLANBEGINTIME DATETIME,
FPROCESSPLANENDTIME DATETIME,
FPROCESSREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCESEQID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_MFTTECHNICSE2') 
 CREATE TABLE T_OM_MFTTECHNICSE2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRELATIONSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONPARSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONPARSEQNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERPROCESSNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERPROCESSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTURNOUTPROCESSNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTURNOUTPROCESSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARALLELRATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANTRANSFERTIME DATETIME,
FPLANTURNOUTTIME DATETIME,
FSOURCERELID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_MFTTECHNICSE3') 
 CREATE TABLE T_OM_MFTTECHNICSE3 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPRPARENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMACHININGTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRORGID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKCENTERID BIGINT DEFAULT 0 NOT NULL,
FPURCHASEORGID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FOPROPERATIONID BIGINT DEFAULT 0 NOT NULL,
FOPRCTRLSTRATEGY BIGINT DEFAULT 0 NOT NULL,
FOPRSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRSTANDARDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRUNITID BIGINT DEFAULT 0 NOT NULL,
FOPRSOURCETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRSOURCEENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRINVALID CHAR(1) DEFAULT ' ' NOT NULL,
FOPRPLANBEGINTIME DATETIME,
FOPRPLANFINISHTIME DATETIME,
FOPREARLIESTBEGINTIME DATETIME,
FOPRLATESTBEGINTIME DATETIME,
FOPREARLIESTFINISHTIME DATETIME,
FOPRLATESTFINISHTIME DATETIME,
FOPRISSPLIT CHAR(1) DEFAULT ' ' NOT NULL,
FOPRSUGGESTSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRACTUALSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRMINWORKTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTIMEUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRISPROCESSOVERLAP CHAR(1) DEFAULT ' ' NOT NULL,
FOPRMINOVERLAPTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPROVERLAPTIMEUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPROVERLAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERLAPUNITID BIGINT DEFAULT 0 NOT NULL,
FPARENTOPRID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUPPERRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFLOORRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADUNITID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPERATIONUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEBATCHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCHEDULINGCALENDAR BIGINT DEFAULT 0 NOT NULL,
FPURCHASEGROUPID BIGINT DEFAULT 0 NOT NULL,
FPURCHASEPERSONID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
FTAXRATE BIGINT DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEMENTUNITID BIGINT DEFAULT 0 NOT NULL,
FSETTLEMENTCOEFFICIENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALDOWNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYMATERIALID BIGINT DEFAULT 0 NOT NULL,
FPURAPPLYNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURORDERNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRPRODUCTIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALREPORTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALCONCESSIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALSCRAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALWASTEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALMATERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRREPAIREDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALUNQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHPURBILLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWASTETAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWASTEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRIPTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRIPPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTORAGEPOINT CHAR(1) DEFAULT ' ' NOT NULL,
FPUSHREPORTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOLLABORATIVE CHAR(1) DEFAULT ' ' NOT NULL,
FWORKSTATIONID BIGINT DEFAULT 0 NOT NULL,
FOPRTOTALREWORKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALRECEIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALJUNKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_MFTTECHNICSE4') 
 CREATE TABLE T_OM_MFTTECHNICSE4 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSTAGE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACTACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FACTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTSTANDARDFORMULAID BIGINT DEFAULT 0 NOT NULL,
FACTMINFORMULAID BIGINT DEFAULT 0 NOT NULL,
FACTSTANDARDFORMULA1ID BIGINT DEFAULT 0 NOT NULL,
FACTMINFORMULA1 BIGINT DEFAULT 0 NOT NULL,
FACTPLANTOTALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTPLANBEGINTIME DATETIME,
FACTPLANFINISHTIME DATETIME,
FSOURCEACTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACTRESOURCES BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_MFTTECHNICSE5') 
 CREATE TABLE T_OM_MFTTECHNICSE5 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREPACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FREPBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPACTUALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPACTUALBEGINTIME DATETIME,
FREPACTUALFINISHTIME DATETIME,
FSRCENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPRESOURCES BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_MFTTECHNICSE6') 
 CREATE TABLE T_OM_MFTTECHNICSE6 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSCHRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FSOURCERESID NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_MFTTECHNICS') 
 CREATE TABLE T_OM_MFTTECHNICS (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMANUFACTUREORDER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMFTENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FBOMVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANSTARTTIME DATETIME,
FPLANFINISHTIME DATETIME,
FPROCESSROUTEID BIGINT DEFAULT 0 NOT NULL,
FPLANTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENTPLANID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENTSEQID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSACTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTIONWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPTYUNIT BIGINT DEFAULT 0 NOT NULL,
FAUXPTYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULPLANID BIGINT DEFAULT 0 NOT NULL,
FMANUFACTUREORDERID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
