﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_MFTSTOCKPLAN') 
 CREATE TABLE T_OM_MFTSTOCKPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FMFTDEPTORGID BIGINT DEFAULT 0 NOT NULL,
FBOMID BIGINT DEFAULT 0 NOT NULL,
FOMVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPLACENO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXPROPERTY BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRANSACTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FPURAPPLYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPURAPPLYBILLID BIGINT DEFAULT 0 NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLAUXUNIT BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTMASTERID BIGINT DEFAULT 0 NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_MFTSTOCKPLAN_L') 
 CREATE TABLE T_OM_MFTSTOCKPLAN_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_STOCKPLANENTRY') 
 CREATE TABLE T_OM_STOCKPLANENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FBOMREVERSION BIGINT DEFAULT 0 NOT NULL,
FQTYTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FUSERATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEMANDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHILDBOMID BIGINT DEFAULT 0 NOT NULL,
FCHILDBOMVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHILDAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYMODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATION BIGINT DEFAULT 0 NOT NULL,
FOUTORGUNITID BIGINT DEFAULT 0 NOT NULL,
FOUTWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FISSUEMODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FISSTEP CHAR(1) DEFAULT '0' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMATERIELMASTERID BIGINT DEFAULT 0 NOT NULL,
FECOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FISKEYPART CHAR(1) DEFAULT '0' NOT NULL,
FLEADTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEMANDDATE DATETIME,
FOPRNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISSTOCKALLOT CHAR(1) DEFAULT '0' NOT NULL,
FISBOMEXTEND CHAR(1) DEFAULT '0' NOT NULL,
FISBULKMATERIAL CHAR(1) DEFAULT '0' NOT NULL,
FWORKPLANID BIGINT DEFAULT 0 NOT NULL,
FREPLACEPLAN BIGINT DEFAULT 0 NOT NULL,
FPRIORITY INT DEFAULT 0 NOT NULL,
FISMAINREPLACE CHAR(1) DEFAULT '0' NOT NULL,
FOUTLOCATION BIGINT DEFAULT 0 NOT NULL,
FMATERIELINV BIGINT DEFAULT 0 NOT NULL,
FOUTSUPPLIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_STOCKPLANENTRY_L') 
 CREATE TABLE T_OM_STOCKPLANENTRY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FCHILDREMARKS NVARCHAR(250) DEFAULT ' ' NOT NULL,
FSETUPLOCATION NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
