﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_MFTORDER') 
 CREATE TABLE T_OM_MFTORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTRANSACTIONTYPE BIGINT DEFAULT 0 NOT NULL,
FBILLDATE DATETIME,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBIZTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_MFTORDERENTRY') 
 CREATE TABLE T_OM_MFTORDERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FPRODUCEDEPT BIGINT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANBEGINTIME DATETIME,
FPLANENDTIME DATETIME,
FBOMID BIGINT DEFAULT 0 NOT NULL,
FEXPENDBOMTIME DATETIME,
FREPLACENO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSROUTE BIGINT DEFAULT 0 NOT NULL,
FPLANSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FKITTINGSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPICKSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBATCHNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINWARCONSIGNER BIGINT DEFAULT 0 NOT NULL,
FINWARDEPT BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSE BIGINT DEFAULT 0 NOT NULL,
FLOCATION BIGINT DEFAULT 0 NOT NULL,
FISCONTROLQTY CHAR(1) DEFAULT '0' NOT NULL,
FOUTPUTOPERATION BIGINT DEFAULT 0 NOT NULL,
FQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPROPERTY BIGINT DEFAULT 0 NOT NULL,
FRPTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FESTSCRAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINWARMAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINWARMIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPTYUNIT BIGINT DEFAULT 0 NOT NULL,
FAUXPTYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMANFTECHSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FYIELDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROUTEREPLACE BIGINT DEFAULT 0 NOT NULL,
FRCVINHIGHLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRCVINLOWLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMTLCOSTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKWASTEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPORTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMANUVERSION BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPURORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_MFTORDERENTRY_E') 
 CREATE TABLE T_OM_MFTORDERENTRY_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FSCRAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAIRQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREWORKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPICKINGPAIRS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUAINWAQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWAITCHECKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUAINWAQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRINWAQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPINWAQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANSURETIME DATETIME,
FTRANSMITTIME DATETIME,
FSTARTWORKTIME DATETIME,
FENDWORKTIME DATETIME,
FCLOSETIME DATETIME,
FENDCASETIME DATETIME,
FSOURCEBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEBILLNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIELMASTERID BIGINT DEFAULT 0 NOT NULL,
FISINSPECTION CHAR(1) DEFAULT '0' NOT NULL,
FACCEPTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISCONREPORTQTY CHAR(1) DEFAULT '0' NOT NULL,
FREPMAXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPMAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPMINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPMINRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERID BIGINT DEFAULT 0 NOT NULL,
FAPPLYID BIGINT DEFAULT 0 NOT NULL,
FORDERENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYENTRYID BIGINT DEFAULT 0 NOT NULL,
FPURPUSHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURAUDITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
